// -*-C++-*-
/*!
 * @file  RefHardRh3ProSVC_impl.h
 * @brief Service implementation header of RefHardRh3Pro.idl
 *
 * @author N.Takekawa (takekawa-777@aist.go.jp)
 *
 * Copyright (c) 2008, National Institute of Advanced Industrial Science and Tec
 * hnology (AIST). All rights reserved. This program is made available under the te
 * rms of the Eclipse Public License v1.0 which accompanies this distribution, and 
 * is available at http://www.eclipse.org/legal/epl-v10.html
 *
 */

#include "RefHardRh3ProSkel.h"

#ifndef REFHARDRH3PROSVC_IMPL_H
#define REFHARDRH3PROSVC_IMPL_H
 
/*!
 * @class RefHardSVC_impl
 * Example class implementing IDL interface RefHard
 */
class RefHardSVC_impl
 : public virtual POA_RefHard,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~RefHardSVC_impl();

 public:
  /*!
   * @brief standard constructor
   */
   RefHardSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~RefHardSVC_impl();

   // attributes and operations
   void Stop();
   void Go();

/*--------------------Addition---------------------*/
   bool isGo;
   bool isStop;
/*--------------------Addition---------------------*/

};



#endif // REFHARDRH3PROSVC_IMPL_H


