#!/bin/bash

# シェルスクリプトのインストール
source /usr/local/share/rtshell/shell_support

# コンポーネントの起動
cd Navigation
gnome-terminal -e "./NavigationComp"
cd ../PathFollower
gnome-terminal -e "./PathFollowerComp"
cd ../OdometryRH3
gnome-terminal -e "./OdometryComp"
cd ../OmniTo2WD
gnome-terminal -e "./OmniTo2WDComp"
cd ../PositionInput
gnome-terminal -e "./PositionInputComp"
cd ../RefHard3Base
gnome-terminal -e "sudo ./RefHardRh3Comp"
cd ../

# ネームサーバーの設定
rtcwd 127.0.0.1
# 各コンポーネントの接続
rtcon Navigation0.rtc:.path PathFollower0.rtc:.target_path
rtcon Navigation0.rtc:.status OmniTo2WD0.rtc:statusGet
rtcon Odometry0.rtc:OdometryPosition Navigation0.rtc:.position
rtcon Odometry0.rtc:OdometryPosition OmniTo2WD0.rtc:current_position
rtcon Odometry0.rtc:OdometryPosition PathFollower0.rtc:.position
rtcon OmniTo2WD0.rtc:min_path Navigation0.rtc:.min_path
rtcon OmniTo2WD0.rtc:status PositionInput0.rtc:.statusGet
rtcon PathFollower0.rtc:.velocity RefHardRh30.rtc:InTargetVelocity
rtcon PositionInput0.rtc:.position OmniTo2WD0.rtc:goal
rtcon RefHardRh30.rtc:OutWheelAngle Odometry0.rtc:CurrentWheelAngle

# コンポーネントのアクティベイト
rtact Navigation0.rtc
rtact Odometry0.rtc
rtact OmniTo2WD0.rtc
rtact PathFollower0.rtc
rtact PositionInput0.rtc
rtact RefHardRh30.rtc


